Bug 189263 - Review Request: rsibreak
Review Request: rsibreak
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-18 13:37 EDT by Roland Wolters
Modified: 2014-11-20 08:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-20 19:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roland Wolters 2006-04-18 13:37:51 EDT
Spec URL: http://www.personal.uni-jena.de/~p1woro/fedorarpms/rsibreak.spec
SRPM URL: http://www.personal.uni-jena.de/~p1woro/fedorarpms/rsibreak-0.6.0-1.src.rpm

Description: 
"RSIBreak is a small utility which bothers you at certain intervals. The
interval and duration of two different timers can be configured. You can
use the breaks to stretch out or do the dishes. The aim of this utility
is to let you know when it is time to have a break from your computer.
This can help people to prevent Repetive Strain Injury."

I finished packaging it and appreciate comments. The only thing I am not satisfied yet it the group - Amusement/Graphics is not the best place, but I didn't find any group which is better.

Btw.: I'm *not* sponsored yet.
Comment 1 John Mahowald 2006-05-14 15:54:21 EDT
- rpmlint checks return clean
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC5 (x86_64)
- no missing BR
- no unnecessary BR
- locales handled properly
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file 

There really is not a much better rpm group.

APPROVED

I'll sponsor if still needed, apply for cvsextras.

Note that when the package builds you can inform the rsibreak authors about the
Extras package.
Comment 2 Roland Wolters 2006-06-17 17:28:49 EDT
I have already applied for sponsorship, but as stated in Bug 187818, my 
account role status is described as "in progress", the Sponsor field says 
"unneeded", and I can't add myself to the cvsextras group. I will post here 
again as soon as this problem is fixed.
Comment 3 Jason Tibbitts 2006-06-19 14:29:15 EDT
I worked with an admin on IRC to get to the bottom of this and everything should
be moving now.  John, the sponsorship request should be in your mailbox.
Comment 4 Roland Wolters 2006-06-19 18:22:11 EDT
We'll see, but thank you for helping. 
Anyway, today the new version of rsibreak was released, here is the newest 
spec file and srpm, I updated the changelog (new version, changed my e-mail to 
the one used here) as well as the package path (to the new version) and 
version. Also some of the icon files were moved to other directories (from 
%{_datadir}/icons/ to %{_datadir}/apps/rsibreak/icons) upstream so I corrected 
the pathes there, to.

The new files can be found here:
http://www.personal.uni-jena.de/~p1woro/fedorarpms/rsibreak.spec
http://www.personal.uni-jena.de/~p1woro/fedorarpms/rsibreak-0.7.1-1.src.rpm

The old spec file can be found here:
http://www.personal.uni-jena.de/~p1woro/fedorarpms/rsibreak.spec.release1
Comment 5 John Mahowald 2006-06-19 22:00:02 EDT
Source0 is actually http://www.rsibreak.org/images/e/e2/Rsibreak-0.7.1.tar.bz2,
but checks out anyway.

Still approved, and sponsored. Go ahead and build.
Comment 6 Roland Wolters 2006-06-20 19:43:14 EDT
Thank you very much for the help and the sponsorship!
Here are the build-logs:
http://buildsys.fedoraproject.org/build-status/job.psp?email=wolters.liste@gmx.net&uid=11320
http://buildsys.fedoraproject.org/build-status/job.psp?email=wolters.liste@gmx.net&uid=11318

Close as next release.
Comment 7 Roland Wolters 2007-03-26 17:48:54 EDT
Package Change Request
======================
Package Name: rsibreak
Updated Fedora CC: Rex Dieter (rdieter@math.unl.edu)

Please make him co-maintainer.

This review is used for this procedure because it was stated to do so: 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 8 Orion Poplawski 2014-11-19 18:16:35 EST
Package Change Request
======================
Package Name: rsibreak
New Branches: epel7
Owners: orion
InitialCC:
Comment 9 Jon Ciesla 2014-11-20 08:28:40 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.